Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class SpaceAfterSemicolonRule

- groovy.org.codenarc.rule.formatting.SpaceAfterSemicolonRule

- Check that there is at least one space (blank) or whitespace following a semicolon that separates: - multiple statements on a single line - the clauses within a classic for loop, e.g. for (i=0;i<10;i++)

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority